<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.motion.widget.MotionLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/no_nav_bg"
    app:layoutDescription="@xml/backstage_fragment_other_scene">


    <net.lucode.hackware.magicindicator.MagicIndicator
        android:id="@+id/magic_other"
        android:layout_width="match_parent"
        android:layout_height="88dp"
        android:background="@drawable/backstage_shape_product_nav"
        android:paddingStart="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/et_search"
        android:layout_width="1000dp"
        android:layout_height="80dp"
        android:layout_marginVertical="10dp"
        android:background="@drawable/home_other_rectangle_background"
        android:hint="@string/base_backstage_search_hint"
        android:inputType="text"
        android:maxLines="1"
        android:paddingLeft="20dp"
        android:textColor="#2E80DD"
        android:textSize="32sp"
        android:textStyle="bold"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.51"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/magic_other" />

    <ImageView
        android:id="@+id/iv_search"
        android:layout_width="90dp"
        android:layout_height="90dp"
        android:layout_marginLeft="10dp"
        android:visibility="gone"
        android:padding="10dp"
        android:src="@drawable/search"
        app:layout_constraintBottom_toBottomOf="@+id/et_search"
        app:layout_constraintStart_toEndOf="@+id/et_search"
        app:layout_constraintTop_toTopOf="@+id/et_search" />

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/fcv_other"
        android:name="androidx.navigation.fragment.NavHostFragment"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/et_search"
        app:navGraph="@navigation/backstage_other_nav" />

    <com.ldt.springback.view.SpringBackLayout
        android:id="@+id/backstage_springbacklayout"
        android:layout_width="wrap_content"
        android:layout_height="600dp"
        android:layout_marginVertical="30dp"
        android:maxHeight="600dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/et_search">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_other_search"
            android:layout_width="wrap_content"
            android:layout_height="800dp"
            android:maxHeight="600dp"
            android:visibility="gone" />
    </com.ldt.springback.view.SpringBackLayout>


</androidx.constraintlayout.motion.widget.MotionLayout>